Rancher uses `etcd` as datastore. When using the Single Node Install, the embedded `etcd` is be used. The persistent data is at the following path in the container: `/var/lib/rancher`. You can bind mount a host volume to this location to preserve data on the host it is running on.

Command

    docker run -d --restart=unless-stopped \
      -p 80:80 -p 443:443 \
      -v /host/rancher:/var/lib/rancher \
      rancher/rancher:latest